use strict;
use warnings;

my @rhymes = (
    "Humpty Dumpty sat on a wall,",
    "Humpty Dumpty had a great fall;",
    "All the King's horses, and all the King's men",
    "Cannot put Humpty Dumpty together again.",
);

my %count;
foreach my $line (@rhymes) {
    my @word = split(/[^\w']+/, lc($line));
    foreach my $word (@word) {
        $count{$word}++;
    }
}

foreach my $key (sort keys %count) {
    print "$key $count{$key}\n";
}
